Bug 138072 - gnome-netstatus applet does not list eth0 in device drop down on nocona (x86_64)
gnome-netstatus applet does not list eth0 in device drop down on nocona (x86_64)
Product: Fedora
Classification: Fedora
Component: gnome-netstatus (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: 138070 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-11-04 08:58 EST by James Laska
Modified: 2013-09-02 02:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 15:03:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Laska 2004-11-04 08:58:29 EST
# TREE rel-eng/RHEL4-Beta2-RC-re1027.0
# ARCH x86_64
# MACHINE  nocona.test.redhat.com

When loading the gnome-netstatus panel applet, it does not list eth0 (which is
currently active) in the device drop down list.  I can type in the value "eth0"
and it then works.  However, it doesn't retain the entered text in the drop-down
list.  The eth0 device is an e1000

02:01.0 Ethernet controller: Intel Corp. 82547EI Gigabit Ethernet Controller (LOM)
        Subsystem: Intel Corp.: Unknown device 302c
        Flags: bus master, 66Mhz, medium devsel, latency 0, IRQ 185
        Memory at ff8e0000 (32-bit, non-prefetchable) [size=128K]
        I/O ports at cc00 [size=32]
        Capabilities: [dc] Power Management version 2

Attaching screenshot to demonstrate.  Please let me know what additional
information I can provide.
Comment 1 James Laska 2004-11-04 09:01:42 EST
For screenshot, see http://people.redhat.com/~jlaska/gnome-netstatus.png
Comment 2 Bill Nottingham 2004-11-04 23:57:34 EST
*** Bug 138070 has been marked as a duplicate of this bug. ***
Comment 3 Ray Strode [halfline] 2005-09-09 15:29:51 EDT
This is still a problem, even in rawhide.  We probably don't want to ship the
net status applet in future RHEL releases given that we have NetworkManager, though.
Comment 4 Tim Reilly 2006-08-10 15:01:37 EDT
I was researching gnome-netstatus bugs and I believe this occurs because
gnome-netstatus does not yet have ipv6 support. It gets confused when it sees
the extra address, or something of the sort.

Another redhat bug on it, should it be marked a dupe of this one or the other
way around?

An inprogress fix:
Comment 5 John Poelstra 2008-04-04 15:03:10 EDT
Per reporter we can close this bug.  Targeted as part of F9 cleanup project as
last activity was almost 2 years ago.

Note You need to log in before you can comment on or make changes to this bug.